Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.oci.xa
Class Connection

    java.lang.Object
      |
      +--weblogic.jdbc.oci.xa.Connection

public final class Connection
extends java.lang.Object
implements java.sql.Connection

This Connection object is a logical connection for the actual database connection.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `clearWarnings()` Deprecated.
`void` | `close()` Deprecated.
`void` | `commit()` Deprecated.
`java.sql.Statement` | `createStatement()` Deprecated.
`java.sql.Statement` | `createStatement(int resultSetType, int resultSetConcurrency)` Deprecated.
`java.sql.Statement` | `createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)` Deprecated.
`boolean` | `getAutoCommit()` Deprecated.
`java.lang.String` | `getCatalog()` Deprecated.
`int` | `getHoldability()` Deprecated.
`java.sql.DatabaseMetaData` | `getMetaData()` Deprecated.
`int` | `getTransactionIsolation()` Deprecated.
`java.util.Map` | `getTypeMap()` Deprecated.
`java.sql.SQLWarning` | `getWarnings()` Deprecated.
`boolean` | `isClosed()` Deprecated.
`boolean` | `isReadOnly()` Deprecated.
`java.lang.String` | `nativeSQL(java.lang.String sql)` Deprecated.
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql)` Deprecated.
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency)` Deprecated.
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)` Deprecated.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql)` Deprecated.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int autoGeneratedKeys)` Deprecated.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int[] columnIndexes)` Deprecated.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)` Deprecated.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)` Deprecated.
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, java.lang.String[] columnNames)` Deprecated.
`void` | `releaseSavepoint(java.sql.Savepoint savepoint)` Deprecated.
`void` | `rollback()` Deprecated.
`void` | `rollback(java.sql.Savepoint savepoint)` Deprecated.
`void` | `setAutoCommit(boolean autoCommit)` Deprecated.
`void` | `setCatalog(java.lang.String catalog)` Deprecated.
`void` | `setHoldability(int holdability)` Deprecated.
`void` | `setReadOnly(boolean readOnly)` Deprecated.
`java.sql.Savepoint` | `setSavepoint()` Deprecated.
`java.sql.Savepoint` | `setSavepoint(java.lang.String name)` Deprecated.
`void` | `setTransactionIsolation(int level)` Deprecated.
`void` | `setTypeMap(java.util.Map map)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createStatement

    public java.sql.Statement createStatement()
                                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    createStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql)
                                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql)
                                           throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareCall in interface java.sql.Connection

### nativeSQL

    public java.lang.String nativeSQL(java.lang.String sql)
                               throws java.sql.SQLException

  Deprecated.
  Specified by:
    nativeSQL in interface java.sql.Connection

### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    setAutoCommit in interface java.sql.Connection

### getAutoCommit

    public boolean getAutoCommit()
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getAutoCommit in interface java.sql.Connection

### commit

    public void commit()
                throws java.sql.SQLException

  Deprecated.
  Specified by:
    commit in interface java.sql.Connection

### rollback

    public void rollback()
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    rollback in interface java.sql.Connection

### close

    public void close()
               throws java.sql.SQLException

  Deprecated.
  Specified by:
    close in interface java.sql.Connection

### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

  Deprecated.
  Specified by:
    isClosed in interface java.sql.Connection

### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    getMetaData in interface java.sql.Connection

### setReadOnly

    public void setReadOnly(boolean readOnly)
                     throws java.sql.SQLException

  Deprecated.
  Specified by:
    setReadOnly in interface java.sql.Connection

### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    isReadOnly in interface java.sql.Connection

### setCatalog

    public void setCatalog(java.lang.String catalog)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    setCatalog in interface java.sql.Connection

### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    getCatalog in interface java.sql.Connection

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws java.sql.SQLException

  Deprecated.
  Specified by:
    setTransactionIsolation in interface java.sql.Connection

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    getTransactionIsolation in interface java.sql.Connection

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    getWarnings in interface java.sql.Connection

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    clearWarnings in interface java.sql.Connection

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency)
                                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    createStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency)
                                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency)
                                           throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareCall in interface java.sql.Connection

### getTypeMap

    public java.util.Map getTypeMap()
                             throws java.sql.SQLException

  Deprecated.
  Specified by:
    getTypeMap in interface java.sql.Connection

### setTypeMap

    public void setTypeMap(java.util.Map map)
                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    setTypeMap in interface java.sql.Connection

### releaseSavepoint

    public void releaseSavepoint(java.sql.Savepoint savepoint)
                          throws java.sql.SQLException

  Deprecated.
  Specified by:
    releaseSavepoint in interface java.sql.Connection

### rollback

    public void rollback(java.sql.Savepoint savepoint)
                  throws java.sql.SQLException

  Deprecated.
  Specified by:
    rollback in interface java.sql.Connection

### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    getHoldability in interface java.sql.Connection

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency,
                                                  int resultSetHoldability)
                                           throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareCall in interface java.sql.Connection

### setHoldability

    public void setHoldability(int holdability)
                        throws java.sql.SQLException

  Deprecated.
  Specified by:
    setHoldability in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency,
                                                       int resultSetHoldability)
                                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int autoGeneratedKeys)
                                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int[] columnIndexes)
                                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       java.lang.String[] columnNames)
                                                throws java.sql.SQLException

  Deprecated.
  Specified by:
    prepareStatement in interface java.sql.Connection

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency,
                                              int resultSetHoldability)
                                       throws java.sql.SQLException

  Deprecated.
  Specified by:
    createStatement in interface java.sql.Connection

### setSavepoint

    public java.sql.Savepoint setSavepoint()
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    setSavepoint in interface java.sql.Connection

### setSavepoint

    public java.sql.Savepoint setSavepoint(java.lang.String name)
                                    throws java.sql.SQLException

  Deprecated.
  Specified by:
    setSavepoint in interface java.sql.Connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD